gnome-bluetooth confused about on/off state of bluetooth

Bug #407962 reported by Alexander Hunziker on 2009-08-02
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
gnome-bluetooth (Ubuntu)
Undecided
Unassigned

Bug Description

Bluetooth is pretty much broken for me on Ubuntu Karmic (Beta 3). The applet shows, but none of its functionality actually works, plus it's prone to hanging/crashing.

When i restart the bluetooth daemons on the command line using

sudo invoke-rc.d bluetooth restart

the following is printed to the sys log:

Aug 2 13:19:57 AlexT60 bluetoothd[7847]: Bluetooth daemon 4.45
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Starting SDP server
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Starting experimental netlink support
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Failed to find Bluetooth netlink family
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: bridge pan0 created
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: HCI dev 0 registered
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: HCI dev 0 up
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Starting security manager 0
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: probe failed with driver input-headset for device /org/bluez/7847/hci0/dev_00_1D_6E_BC_61_DA
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: probe failed with driver input-headset for device /org/bluez/7847/hci0/dev_00_1D_6E_D9_4E_B7
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Adapter /org/bluez/7847/hci0 has been enabled
Aug 2 13:19:57 AlexT60 bluetoothd[7848]: Inquiry Failed with status 0x12

Maybe the last line can be a hint to what's going wrong?

don hardaway (don-hardaway) wrote :

my bluetooth mouse will not work either.

affects: ubuntu → bluez (Ubuntu)

The bug report is not that useful because you're talking about the daemon and the applet which are two different things.
For bug/problem with the applet and all the UI tools, report against gnome-bluetooth which evidences attachded (like crash report) please.

For this particular bug, was bluetoothd (I speaking about the deamon) broken the same way in previous versions in karmic too?
Could you also stop the deamon and launch it manually with debug switch and upload the output here?
Did you try to perform a scan in command line (with hcitool)?

ah, and when you what to report a bug, please use ubuntu-bug command tool because it can provide useful information to us.

Thanks a lot.

I have both more info and more success meanwhile...

Right after booting, if I try to send a file to my mobile phone, that will fail. If I de- and then reenable bluetooth using the functionality in the applet, it works.

Sometimes, the applet seems to be confused about whether bluetooth is on or off and will show: "Bluetooth: unknown" in the menu.

In short, it's probably an issue with the killswitch part of the applet.

This is on a Thinkpad T60 with an internal USB Broadcom Bluetooth adapter.

I just saw that 2.27.9 has the following in the NEWS file:

- Port to using new rfkill API in Linux kernel 2.6.31

Maybe that will help with this problem?

summary: - Bluetooth nonfunctional on Ubuntu Karmic
+ gnome-bluetooth confused about on/off state of bluetooth
affects: bluez (Ubuntu) → gnome-bluetooth (Ubuntu)

Yep, now it you modify the bluetooth rfill with rfkill the status of the bluetooth change immediatly.
I know the rfkill support for thinkpad t60 was not great (I own one) but in 2.27.9 it is working better.

Alexander Sack (asac) on 2009-09-11
Changed in gnome-bluetooth (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-bluetooth - 2.27.90-0ubuntu1

---------------
gnome-bluetooth (2.27.90-0ubuntu1) karmic; urgency=low

  * upstream release 2.27.90 (LP: #427665)
  * addressing MIR comments (LP: #409848)

  [ Loïc Minier <email address hidden> ]
  * Bump libdbus-glib-1-dev bdep to >= 0.74 to match configure.
  * Pass --disable-icon-update to configure by default as icon caches will be
    created by default if libgtk2.0-bin is present and might be shipped in the
    package.
  * Dont include autotools.mk as it's already included by gnome.mk.
  * Drop libgeoclue-dev bdep as it doesn't seem to be needed for the geoclue
    plugin.

  [ Alexander Sack <email address hidden> ]
  * debian/control: add geoclue to gnome-bluetooth Suggests
  * debian/copyright: clarify copyright for shipped packages
  * debian/rules: drop removal of -Bsymbolic-functions link flag; upstream
    fixed the way libcommon.la is linked into the various binaries
  * debian/control: add Vcs-Bzr info to ~ubuntu-desktop packaging branch

  [ Baptiste Mille-Mathias <email address hidden> ]
  * Fix rkill status (LP: #407962)

 -- Alexander Sack <email address hidden> Fri, 11 Sep 2009 05:08:01 +0200

Changed in gnome-bluetooth (Ubuntu):
status: Fix Committed → Fix Released
Derek Turner (frderek) wrote :

Latest upgrades seem to have broken it again :(

Steve White (stevan-white) wrote :

Hi, this is Ubuntu 12.10.

I have NEVER seen the bluetooth applet properly indicate that the radio was turned off in hardware, through
several versions of Ubuntu, on any of several machines on which I use Bluetooth.

PLEASE FIX THIS: it would be so cool to have a nice clear visual indication that Bluetooth *should* be working.

A moment ago, I turned off the hardware radios, and ran
     rfkill list
to see that the radios were indeed off.

The Bluetooth applet merrily informed me that bluetooth was working and the machine was visible.
My otheer devices could no longer see it though.

ALSO I would propose to make a graphical distinction between being off in hardware and in software:
If it's off in harware, put a cross over or line through the icon.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers